QGIS Application - Bug report #17870
Auxiliary Storage not saved when project is saved
2018-01-16 04:45 PM - Ethan Snyder

Status: Closed

Priority: High

Assignee: Paul Blottiere

Category: Labelling

Affected QGIS version:master Regression?: Yes

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 25765

Description

I'm using QGIS 2.99.0-267 (commit:05¢7132518) via OSGeo4W. When working with layer labels, the information stored in auxiliary data
is not saved but deleted when the project is saved. | have to go through and redo all of my label tweaks. However, | do not have to
re-choose a primary key for the auxiliary storage, that part does get saved. The only thing | use the Auxiliary Storage for is label editing
(for now). It had worked in a previous build of QGIS 2.99, but | guess a recent change broke it.

History

#1 - 2018-01-16 05:42 PM - Jiirgen Fischer
- Subject changed from QGIS 2.99.0-267 Auxiliary Storage not saved when project is saved to Auxiliary Storage not saved when project is saved

- Description updated

#2 - 2018-01-18 04:04 PM - Denis Rouzaud
- Assignee set to Paul Blottiere

#3 - 2018-01-18 04:17 PM - Paul Blottiere

It had worked in a previous build of QGIS 2.99, but | guess a recent change broke it.

Strange, nothing has been changed in the auxiliary storage mechanism since several months... Probably a side effect of another commit...

#4 - 2018-02-22 07:44 PM - Giovanni Manghi

- Priority changed from Normal to High

#5 - 2018-02-22 07:54 PM - Giovanni Manghi

- Status changed from Open to Feedback

Just tested on the latest master (on osgeo4w) and works ok for me.

#6 - 2018-08-16 10:46 AM - Giovanni Manghi
- Status changed from Feedback to Closed
- Resolution set to not reproducable

Closing for lack of feedback.
#7 - 2018-11-28 05:40 PM - James M

This issue has happened to me three times in the last month using QGIS 3.2 and 3.4 but it doesn't happen all the time.

I will use the auxiliary storage to manually position labels and save and this often persists when | re-open a project (I have been doing spot checks on the
QDB as | am working and saving to make sure it is writing information, which it is). However, sometimes when | re-open the project that has previously
saved the label positions in the auxiliary storage | notice that all of my labels have reverted to default positioning, and then when | check the QDB file it is
empty (0 bytes), when previously it was showing that information had been stored.

Then when | look at the properties for layers were using auxiliary storage for label placement everything seems to be set up correctly (showing the unique
id) but there are no features listed. Also when | look at my layer style properties, the data driven Label Coordinate X and Y properties are RED (instead of
YELLOW) and | need to update them to 'Store Data In the Project' to get the label positioning to work again.

So it does manage to save the data to the auxiliary storage database sometimes, and the positioning usually persists upon re-opening a project, but
sometimes the table just dumps the data. Also, when | notice that the label positioning has disappeared the QDB 'modified’ date shows the last time | would
have used/saved it, not the current attempt at opening, so | would assume that it is not dumping upon reopening the project but sometimes when

saving/closing a project previously (with no error reported).
